aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2021-01-12 13:34:29 +0000
committerRyan Harkin <ryan.harkin@linaro.org>2021-01-12 13:34:29 +0000
commit44a9b170b9a654a027f5e18acddb8b2b04c3b59f (patch)
tree9aa65f0b779722e61f5fb45b3581487f6d77d1d9
parent46b1133e167709903219472123e7ad5a9b732211 (diff)
tpm: use local TPM binarieslinaro-20210113-001
dip-image-dev has the binaries pre-installed. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
-rwxr-xr-xautomated/linux/tpm/tpm.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/automated/linux/tpm/tpm.sh b/automated/linux/tpm/tpm.sh
index c271fe4..2f2cc68 100755
--- a/automated/linux/tpm/tpm.sh
+++ b/automated/linux/tpm/tpm.sh
@@ -53,11 +53,14 @@ tpm_test()
echo "test: $file success_string: ${success_string}"
echo "################################################################################"
- wget -q ${url}/${file} || echo "ERROR: wget ${file} failed"
- if [ -e "${file}" ]; then
+ #wget -q ${url}/${file} || echo "ERROR: wget ${file} failed"
+ testscript="/usr/share/installed-tests/tpm/${file}"
+ if [ -e "${testscript}" ]; then
rm -f /tmp/tpm.log || true
- bash $file 2>&1 | tee /tmp/tpm.log
+ bash ${testscript} 2>&1 | tee /tmp/tpm.log
grep -e "${success_string}" /tmp/tpm.log && result=pass
+ else
+ echo "ERROR: ${testscript} does not exist"
fi
echo "$file $result" | tee -a ${RESULT_FILE}
}